%define major	0
%define api	1.0
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} -d

Name:           gitg
Version:        0.2.5
Release:        %mkrel 1
Summary:        GTK+ graphical interface for the git revision control system
Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://trac.novowork.com/gitg
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.2/%{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gladeui-2.0)
Requires:       git
Requires:       gsettings-desktop-schemas

%description
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%package -n %{libname}
Summary:        Backend Library for gitg
License:        GPLv2+
Group:          System/Libraries

%description -n %{libname}
libgitg is a GObject based library that provides an easy access to git methods
through GObject based methods

%package -n %{devname}
Summary:        Development files for %{name}
License:        GPLv2+
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-schemas-compile \
	--disable-rpath \
	--enable-glade-catalog
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/glib-2.0/schemas/org.gnome.gitg.gschema.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glade/catalogs/%{name}-glade.xml

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{devname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc
%{_includedir}/lib%{name}-%{api}


%changelog

* Fri Sep 02 2011 wally <wally> 0.2.5-1.mga2
+ Revision: 137897
- imported package gitg

